Installing theme kit on MBP M1

dagansmith
New Member
1 0 2

Hi there, 

Has anybody managed to install theme kit on MacBook Pro M1 - on the latest Big Sur version? 

I've managed to install homebrew and am running terminal under rosetta but am given an error message when I try and run:

brew tap shopify/shopify

brew install themekit

Updating Homebrew...

==> Auto-updated Homebrew!

Updated 1 tap (homebrew/core).

==> Updated Formulae

Updated 16 formulae.

 

==> Tapping shopify/shopify

Cloning into '/usr/local/Homebrew/Library/Taps/shopify/homebrew-shopify'...

remote: Enumerating objects: 62, done.

remote: Counting objects: 100% (62/62), done.

remote: Compressing objects: 100% (53/53), done.

remote: Total 1154 (delta 26), reused 25 (delta 9), pack-reused 1092

Receiving objects: 100% (1154/1154), 303.12 KiB | 341.00 KiB/s, done.

Resolving deltas: 100% (619/619), done.

Warning: Calling depends_on :x11 is deprecated! Use depends_on specific X11 formula(e) instead.

Please report this issue to the shopify/shopify tap (not Homebrew/brew or Homebrew/core), or even better, submit a PR to fix it:

  /usr/local/Homebrew/Library/Taps/shopify/homebrew-shopify/shopify-graphicsmagick.rb:32

 

Error: Invalid formula: /usr/local/Homebrew/Library/Taps/shopify/homebrew-shopify/bazel@10.rb

bazel@10: Calling depends_on :java is disabled! Use "depends_on "openjdk@11", "depends_on "openjdk@8" or "depends_on "openjdk" instead.

Please report this issue to the shopify/shopify tap (not Homebrew/brew or Homebrew/core), or even better, submit a PR to fix it:

  /usr/local/Homebrew/Library/Taps/shopify/homebrew-shopify/bazel@10.rb:20

 

Error: Cannot tap shopify/shopify: invalid syntax in tap!

JonahO
Tourist
5 0 1

Im not on an M1 or Big Sur. I installed Homebrew and Themekit, blind because I was literally copy/pasting lines into the terminal with no understanding of what was happening. Now I have some homebrew folders and some files that say themekit in a folder that says cellar.  

 

When I click on the files absolutely nothing happens. Probably because I don't even know what I'm supposed to do with themekit or how it works, likely because I haven't got past the installation part. All the tutorials on youtube are PC based. 

If you didn't have an M1, what would I actually need to do? Thanks! 

mikeheiser9
New Member
1 0 0

Has anyone been able to resolve this? I just got my M1 macbook and also cannot get themekit to download properly. Would appreciate some guidance as I use themekit every day. 

brew tap shopify/shopify

Updating Homebrew...

==> Auto-updated Homebrew!

Updated 3 taps (shopify/shopify, homebrew/core and homebrew/cask).

==> New Formulae

aliddns                    cloudflare-wrangler        osmcoastline

==> Updated Formulae

Updated 123 formulae.

==> New Casks

prezi-video

==> Updated Casks

Updated 61 casks.

 

 brew install themekit

Error: Cannot install in Homebrew under Rosetta 2 in ARM default prefix (/opt/homebrew)!

0 Likes
tony5280
Shopify Partner
67 6 21

Have you actually installed Command Line Tools for Xcode 12.2 from https://developer.apple.com/download/more/ ? 

I haven't been thru this whole thread, but it may shed some light https://github.com/Shopify/themekit/issues/838

0 Likes